Why doesn't this appear in the Update Manager?

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
lmuserx4849
Level 5
Level 5
Posts: 757
Joined: Wed Dec 17, 2014 2:55 am

Why doesn't this appear in the Update Manager?

Post by lmuserx4849 » Fri Mar 02, 2018 1:30 am

I'd like to understand why 204-5ubuntu20.26 does not appear in the Update Manager in LM 17.3. It is a security update.

I was reading Ubuntu Security Notice USN-3558-1, and to make a long story short:
The problem can be corrected by updating your system to the following package versions:

Ubuntu 16.04 LTS:
systemd 229-4ubuntu21.1

Ubuntu 14.04 LTS:
systemd 204-5ubuntu20.26
I thought, due to the above, that it would appear in the Update Manager. What am I missing?

Code: Select all

===> aptitude versions systemd-services
Package systemd-services:                        
p   204-5ubuntu20                                                    trusty                                        500 
i   204-5ubuntu20.15linuxmint1                                       rosa                                          700 
p   204-5ubuntu20.26                                                 trusty-security,trusty-updates                500 

User avatar
catweazel
Level 14
Level 14
Posts: 5492
Joined: Fri Oct 12, 2012 9:44 pm
Location: Australian Antarctic Territory

Re: Why doesn't this appear in the Update Manager?

Post by catweazel » Fri Mar 02, 2018 1:44 am

lmuserx4849 wrote:
Fri Mar 02, 2018 1:30 am
I'd like to understand why 204-5ubuntu20.26 does not appear in the Update Manager in LM 17.3. It is a security update.

I was reading Ubuntu Security Notice USN-3558-1, and to make a long story short:
If libudev-dev isn't installed then there's no need for the update. Do you use libudev-dev?
A new scientific truth does not triumph by convincing its opponents and making them see the light, but rather because its opponents eventually die, and a new generation grows up that is familiar with it. - Max Planck

lmuserx4849
Level 5
Level 5
Posts: 757
Joined: Wed Dec 17, 2014 2:55 am

Re: Why doesn't this appear in the Update Manager?

Post by lmuserx4849 » Tue Mar 06, 2018 3:05 pm

catweazel wrote:
Fri Mar 02, 2018 1:44 am
If libudev-dev isn't installed then there's no need for the update. Do you use libudev-dev?
How did you pinpoint libudev-dev?

In the article they say, Ubuntu 14.04 LTS: systemd 204-5ubuntu20.26. I looked further, via launchpad and cve links to gain a better understanding.

I see 204-5ubuntu20.26 via apt-cache madison systemd* |grep 204-5ubuntu20.26, but not in the Update Manager.

This is my first time at https://packages.ubuntu.com/trusty-updates/admin/, and I searched for 204-5ubuntu20.26 and security.

libpam-systemd (204-5ubuntu20.26)
libudev-dev (204-5ubuntu20.26)
systemd (204-5ubuntu20.26)
systemd-services (204-5ubuntu20.26)
udev (204-5ubuntu20.26)

Cosmo.
Level 23
Level 23
Posts: 17830
Joined: Sat Dec 06, 2014 7:34 am

Re: Why doesn't this appear in the Update Manager?

Post by Cosmo. » Tue Mar 06, 2018 5:13 pm

In a default installation of LM 17.x the package systemd is not installed. Software, which is not installed, cannot give a security leak and there is obviously nothing to update. Besides that the fixed version of systemd appears here fine in synaptic (Mint 17.3).

User avatar
karlchen
Level 18
Level 18
Posts: 8783
Joined: Sat Dec 31, 2011 7:21 am
Location: Germany

Re: Why doesn't systemd 204-5ubuntu20.26 appear in the Update Manager?

Post by karlchen » Tue Mar 06, 2018 5:47 pm

Hello, lmuserx4849.

System here: Mint 17.1

Code: Select all

karl@unimatrix0 ~ $ inxi -Sxx
System:    Host: unimatrix0 Kernel: 3.13.0-142-generic i686 bits: 32 gcc: 4.8.4
           Desktop: Xfce 4.11.8 (Gtk 2.24.23) dm: mdm Distro: Linux Mint 17.1 Rebecca
systemd 204-5ubuntu20.26 available? - yes

Code: Select all

karl@unimatrix0 ~ $ apt-cache policy systemd
systemd:
  Installed: (none)
  Candidate: 204-5ubuntu20.26
  Version table:
     204-5ubuntu20.26 0
        500 http://archive.ubuntu.com/ubuntu/ trusty-updates/main i386 Packages
        500 http://security.ubuntu.com/ubuntu/ trusty-security/main i386 Packages
systemd not installed, however

Code: Select all

karl@unimatrix0 ~ $ dpkg --list systemd* udev
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                        Version            Architecture       Description
+++-===========================-==================-==================-===========================================================
un  systemd                     <none>             <none>             (no description available)
ii  systemd-services            204-5ubuntu20.26   i386               systemd runtime services
ii  systemd-shim                6-2bzr1            i386               shim for systemd
ii  udev                        204-5ubuntu20.26   i386               /dev/ and hotplug management daemon
Q: Why doesn't systemd 204-5ubuntu20.26 appear in the Update Manager?
A: As Cosmo. rightly pointed out systemd 204-5ubuntu20.26 does not appear in Update Manager because it has not been installed here, either.
Image
Old bugs good, new bugs bad! Updates are evil: might fix old bugs and introduce no new ones.

Post Reply

Return to “Software & Applications”